<?xml version="1.0" encoding="utf-8" ?>
<!-- *********************************************************************** -->
<!--                                                                         -->
<!-- IBM Confidential                                                        -->
<!-- OCO Source Materials                                                    -->
<!-- 5697-SAO                                                                -->
<!-- (C) Copyright IBM Corp. 2009, 2011.                                     -->
<!--                                                                         -->
<!-- The source code for this program is not published or otherwise divested -->
<!-- of its trade secrets, irrespective of what has been deposited with the  -->
<!-- U.S. Copyright Office.                                                  -->
<!--                                                                         -->
<!-- *********************************************************************** -->

<xsl:stylesheet version='2.0'
	xmlns:xsl='http://www.w3.org/1999/XSL/Transform' xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xmlns:aqtmart="http://www.ibm.com/xmlns/prod/dwa">
	<!--  <xsl:param name="lang">en</xsl:param> -->
	<!--  <xsl:value-of select="$lang"/> -->
	<xsl:output method="xml" encoding="UTF-8" cdata-section-elements="model diagram"/>


	<!--
		********************************************************************************
		* element <martModel>...</martModel>
		********************************************************************************
	-->
	<xsl:template match="//aqtmart:martModel">
		<xsl:element name="aqtmart:martModel">
			<!-- 
			<xsl:attribute name="schemaVersion">0.2</xsl:attribute>
			-->
			<xsl:attribute name="version">1.0</xsl:attribute>
			<xsl:apply-templates mode="martModelMode"/>
		</xsl:element>
	</xsl:template>

	<!--
		********************************************************************************
		* element <mart>...</mart> - add guiConfig
		********************************************************************************
	-->
	<xsl:template match="mart" mode="martModelMode">
		<xsl:copy>
			<xsl:apply-templates select="@*|node()" mode="martModelMode" />
			<xsl:element name="guiConfig">
			
				<xsl:element name="model">@#MODEL#@</xsl:element>
				<xsl:element name="diagram">@#DIAGRAM#@</xsl:element>
				
			</xsl:element>
			
		</xsl:copy>
			

	</xsl:template>


	<!--
		********************************************************************************
		* remove xmi:id and xmi:type from all martmodel child elements in
		martModelMode * remove parent and dependent from reference
		********************************************************************************
	-->

	

	<xsl:template match="node()|@*" mode="martModelMode">


		<xsl:copy>
			<xsl:apply-templates select="@*|node()" mode="martModelMode" />
		</xsl:copy>


	</xsl:template>

	<xsl:template match="@id" mode="martModelMode" />
	<xsl:template match="@xsi:type" mode="martModelMode" />
	<xsl:template match="@parent" mode="martModelMode" />
	<xsl:template match="@dependent" mode="martModelMode" />
	<xsl:template match="@referencesParent" mode="martModelMode" />
	<xsl:template match="@referencesDependent" mode="martModelMode" />
	<xsl:template match="@parentUniqueConstraintName" mode="martModelMode" />
	<!--
		********************************************************************************
		* remove columns that are not accelerated
		********************************************************************************
	-->
	<xsl:template match="column[@accelerated='false']" mode="martModelMode" />

		<!--
		********************************************************************************
		* temporarily provide defaults for attributes that SP will provide later
		********************************************************************************
		
	
		
		<xsl:template match="table" mode="martModelMode">
		 
		<xsl:copy>
			<xsl:attribute name="consistencyToken">UNKNOWN_BY_GUI_SP_PLS_PROVIDE_IT</xsl:attribute>
			<xsl:apply-templates select="@*|node()" mode="martModelMode" />
		</xsl:copy>
		</xsl:template>
		
		<xsl:template match="column[@dataType='CHAR']" mode="martModelMode">
		 
		<xsl:copy>
			<xsl:attribute name="charEncoding">SBCS</xsl:attribute>
			<xsl:attribute name="ccsid">37</xsl:attribute>
			<xsl:apply-templates select="@*|node()" mode="martModelMode" />
		</xsl:copy>
		</xsl:template>
		
		<xsl:template match="column[@dataType='VARCHAR']" mode="martModelMode"> 
		<xsl:copy>
			<xsl:attribute name="charEncoding">SBCS</xsl:attribute>
			<xsl:attribute name="ccsid">37</xsl:attribute>
			<xsl:apply-templates select="@*|node()" mode="martModelMode" />
		</xsl:copy>
		</xsl:template>
		
		<xsl:template match="column[@dataType='DATE']" mode="martModelMode"> 
		<xsl:copy>
			<xsl:attribute name="charEncoding">SBCS</xsl:attribute>
			<xsl:attribute name="ccsid">37</xsl:attribute>
			<xsl:apply-templates select="@*|node()" mode="martModelMode" />
		</xsl:copy>
		</xsl:template>

		<xsl:template match="column[@dataType='TIME']" mode="martModelMode"> 
		<xsl:copy>
			<xsl:attribute name="charEncoding">SBCS</xsl:attribute>
			<xsl:attribute name="ccsid">37</xsl:attribute>
			<xsl:apply-templates select="@*|node()" mode="martModelMode" />
		</xsl:copy>
		</xsl:template>
		
		<xsl:template match="column[@dataType='TIMESTAMP']" mode="martModelMode"> 
		<xsl:copy>
			<xsl:attribute name="charEncoding">SBCS</xsl:attribute>
			<xsl:attribute name="ccsid">37</xsl:attribute>
			<xsl:apply-templates select="@*|node()" mode="martModelMode" />
		</xsl:copy>
		</xsl:template>
		
		-->
		
		
</xsl:stylesheet>

